#include "typedef.h"

void draw_main_window();
void ChartRefresh(int16_t *data, int16_t gain_divider, int8_t start_index, int8_t vertical_zero, int8_t horizontal_zero, int8_t trigger_level, int8_t ace, int8_t ac1, int8_t ac2, int8_t tce, int8_t tc1, int8_t tc2);
void refresh_time_base(uint8_t time_base);
void refresh_gain(uint8_t gain_base, uint16_t probe_divider);
void show_menu_cursor(uint8_t current_index);
void show_main_menu(int8_t current_index);
void show_trigger_menu(uint8_t current_index);
void read_text_from_pgm(const unsigned char *addr, char *buff, uint8_t l);
void show_trigger_mode(uint8_t current_index, trigg_mode trigger_mode);
void show_cursors(uint8_t current_index);
void show_menu_text(uint8_t current_index, uint8_t activ, const unsigned char *addr);
void show_trigger_type(uint8_t current_index, trigg_type trigger_type);
void show_back_only();
void show_normal_loop_values(trigg_mode trigger_mode, trigg_type trigger_type, uint8_t trigger_state);
char get_digit_char(uint8_t digit);
uint8_t pre_prepare_value_buffer(char *buff, uint8_t i, uint16_t val);
void prepare_value_buffer(char *buff, uint16_t val1, uint16_t val2, uint16_t val3, char t1, char t2, char t3);
void refresh_delta_t(uint8_t time_base, int8_t c1, int8_t c2);
void refresh_delta_V(uint8_t gain_base, uint16_t probe, int8_t c1, int8_t c2);
void get_value_from_pix(uint16_t multiplier, uint8_t pix, uint16_t *v2, uint16_t *v1, uint16_t *v0, uint16_t *table);
void show_battery_lvl(int16_t bat_adc, int16_t min, int16_t max);
void show_trigger_type_mode_state(trigg_mode trigger_mode, trigg_type trigger_type, uint8_t trigger_state);
void splash_screen();

