#include "inttypes.h"
#include <avr/io.h>

#define ADC_CHANNEL_PIN_BAT PC2
#define ADC_CHANNEL_PIN_1_100 PC4
#define ADC_CHANNEL_PIN_1_10 PC5
#define ADC_CHANNEL_PIN_1_1 PC3

#define ADC_CHANNEL_1_100 4
#define ADC_CHANNEL_1_10 5
#define ADC_CHANNEL_1_1 3
#define ADC_CHANNEL_BAT 2

//#define BATTERY_MIN_mV 2200
//#define BATTERY_MAX_mV 3000

#define ADC_BAT_VALUE_MIN 211//(BATTERY_MIN_mV*17/20)
#define ADC_BAT_VALUE_MAX 245//(BATTERY_MAX_mV*17/20)
void AdcInit();
int16_t SetGainDivider(uint8_t gain_base, int16_t adc_for_zero_0, int16_t adc_for_zero_1, int16_t adc_for_zero_2, int16_t *adc_for_zero);
int16_t GetADCfromChanel(uint8_t channel);
int16_t get_mean_ADC_from_channel(uint8_t channel);
void SetAdcActivChannel(uint8_t channel);

